stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Toml

Contents

- Codecs
- Files

Description

`tomland` library integration. `TomlCodec`s for the `Config` data type.

Synopsis

- getTomlConfig :: Bool -> Bool -> Maybe FilePath -> IO PartialConfig
- configCodec :: TomlCodec PartialConfig
- usedTomlFiles :: Bool -> Maybe FilePath -> IO [FilePath]

# Documentation

getTomlConfig :: Bool -> Bool -> Maybe FilePath -> IO PartialConfig #

# Codecs

configCodec :: TomlCodec PartialConfig #

# Files

usedTomlFiles :: Bool -> Maybe FilePath -> IO [FilePath] #

Based on the incoming settings returns the TOML configuration files that were used to get the final config.